# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.24

# This file contains all the rules used to get the outputs files
# built from the input files.
# It is included in the main 'build.ninja'.

# =============================================================================
# Project: ulp_main
# Configurations: 
# =============================================================================
# =============================================================================

#############################################
# Rule for compiling ASM files.

rule ASM_COMPILER__ulp_main_
  depfile = $DEP_FILE
  deps = gcc
  command = esp32ulp-elf-as                                     --mcpu=esp32s2 $DEFINES $INCLUDES -o $out -c $in
  description = Building ASM object $out


#############################################
# Rule for linking ASM executable.

rule ASM_EXECUTABLE_LINKER__ulp_main_
  command = cmd.exe /C "$PRE_LINK && C:\Programs\esp\.espressif\tools\esp32ulp-elf\2.38_20240113\esp32ulp-elf\bin\esp32ulp-elf-ld.exe $FLAGS $LINK_FLAGS $in -o $TARGET_FILE $LINK_PATH $LINK_LIBRARIES && $POST_BUILD"
  description = Linking ASM executable $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for running custom commands.

rule CUSTOM_COMMAND
  command = $COMMAND
  description = $DESC


#############################################
# Rule for re-running cmake.

rule RERUN_CMAKE
  command = C:\Programs\esp\.espressif\tools\cmake\3.24.0\bin\cmake.exe --regenerate-during-build -SC:\Programs\esp\v5.3.1\esp-idf\components\ulp\cmake -BC:\Projects\waterius-ulp\build\esp-idf\main\ulp_main
  description = Re-running CMake...
  generator = 1


#############################################
# Rule for cleaning all built files.

rule CLEAN
  command = C:\Programs\esp\.espressif\tools\ninja\1.11.1\ninja.exe $FILE_ARG -t clean $TARGETS
  description = Cleaning all built files...


#############################################
# Rule for printing all primary targets available.

rule HELP
  command = C:\Programs\esp\.espressif\tools\ninja\1.11.1\ninja.exe -t targets
  description = All primary targets available:

